# $Id: hobbit.spec 892 2008-05-20 06:09:55Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2008 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

# Run rpmbuild with '--define="snapshot 200509281705"' to build a snapshot.
# Run rpmbuild with '--define="beta 20060605"' to build a beta.
# Run rpmbuild with '--define="recan 20060712"' to build a release candidate.

%define HOBBITUSER %([ $HOBBITUSER ] && echo $HOBBITUSER || echo "hobbit" )
%define ver 4.2.0

Summary: Hobbit Network Monitor - server
Name: hobbit
%{!?snapshot:%{!?beta:%{!?recan:Version: %{ver}}}}
%{?recan:Version: %{recan}}
%{?beta:Version: %{beta}}
%{?snapshot:Version: %{snapshot}}
Release: %RErelease 9
Epoch: 4
License: GPL
Requires: fping
%if "%_vendor" == "redhat"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires(pre): fedora-usermgmt
Requires(postun): fedora-usermgmt
%endif
%if "%_vendor" == "suse"
Group: System/Monitoring
BuildRequires: openssl-devel, pcre, rrdtool, openldap2-devel
PreReq: %insserv_prereq %fillup_prereq
%endif
%if "%_os" == "aix"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires: chkconfig, openssl, pcre, rrdtool, openldap
Requires: findutils, gawk, grep, sed
%endif
%if "%_os" == "hpux"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires: openssl, pcre, rrdtool, openldap
%endif
%if "%_os" == "solaris"
Group: System Environment/Daemons
#BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires: chkconfig, openssl, pcre, rrdtool, openldap
%endif
URL: http://hobbitmon.sourceforge.net/
%{!?snapshot:%{!?beta:%{!?recan:Source0: http://prdownloads.sourceforge.net/hobbitmon/%{name}-%{version}.tar.gz}}}
%{?recan:Source0: http://www.hswn.dk/hobbitsw/%{name}-%{ver}-RC-%{recan}.tar.gz}
%{?beta:Source0: http://www.hswn.dk/hobbitsw/%{name}-%{ver}-beta-%{beta}.tar.gz}
%{?snapshot:Source0: http://www.hswn.dk/beta/hobbit-snapshot.tar.gz}
Source1: hobbit.logrotate.redhat
Source2: hobbit.init.redhat
Source3: hobbit-client.init.redhat
Source4: hobbit.sysconfig.redhat
Source5: hobbit-client.sysconfig.redhat
Source6: hobbit.init.suse
Source7: hobbit-client.init.suse
Source8: hobbit.sysconfig.suse
Source9: hobbit-client.sysconfig.suse
Source10: hobbit.init.aix
Source11: hobbit-client.init.aix
Source12: hobbit.sysconfig.aix
Source13: hobbit-client.sysconfig.aix
Source14: hobbit.init.hpux
Source15: hobbit-client.init.hpux
Source16: hobbit.sysconfig.hpux
Source17: hobbit-client.sysconfig.hpux
Source18: hobbit.init.solaris
Source19: hobbit-client.init.solaris
Source20: hobbit.sysconfig.solaris
Source21: hobbit-client.sysconfig.solaris
Source22: hobbit.logrotate.aix
Source23: hobbit.logrotate.hpux
Source24: hobbit.logrotate.solaris
Source25: hobbit.logrotate.suse
Source26: devmon-graph.cfg
Patch0: http://www.hswn.dk/hobbitsw/patches/allinone.patch
Patch1: hobbit-4.2-AIX_Makefile.patch
Patch2: hobbit-4.2-RC-20060712-BROKEN_HPUX_NETDB.patch
Patch3: hobbit-4.1.2p1-runclient.patch
Patch4: hobbit-4.2.0-manindex.patch
Patch5: hobbit-4.2.0-fping.patch
Patch10: http://bbwin.sourceforge.net/download/bbwin_4.2.patch
Patch11: http://devmon.svn.sourceforge.net/viewvc/*checkout*/devmon/trunk/extras/hobbit-4.2.0-devmon-complete.patch
Patch12: empty-dirinclude.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge

%description
Hobbit is a system for monitoring your network servers and
applications. It is heavily inspired by the Big Brother
tool, but is a complete re-implementation with a lot of added
functionality and performance improvements.

These are the Hobbit files for using this machine as a BBDISPLAY,
BBNET, or BBPAGER host.

%package client
Summary: Hobbit Network Monitor - client
%if "%_vendor" == "redhat"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires(pre): fedora-usermgmt
Requires(postun): fedora-usermgmt
%endif
%if "%_vendor" == "suse"
Group: System/Monitoring
BuildRequires: openssl-devel, pcre, rrdtool, openldap2-devel
PreReq: %insserv_prereq %fillup_prereq
%endif
%if "%_os" == "aix"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires: chkconfig
%endif
%if "%_os" == "hpux"
Group: System Environment/Daemons
BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
%endif
%if "%_os" == "solaris"
Group: System Environment/Daemons
#BuildRequires: openssl-devel, pcre-devel, rrdtool-devel, openldap-devel
Requires: chkconfig
%endif

%description client
Hobbit is a system for monitoring your network servers and
applications. It is heavily inspired by the Big Brother
tool, but is a complete re-implementation with a lot of added
functionality and performance improvements.

These are the Hobbit files for using this machine as a client.

%prep
%{!?snapshot:%{!?beta:%{!?recan:%setup -q}}}
%{?recan:%setup -n %{name}-%{ver}-RC-%{recan} -q}
%{?beta:%setup -n %{name}-%{ver}-beta-%{beta} -q}
%{?snapshot:%setup -n snapshot -q}
%{!?snapshot:%patch0 -p0}
%if "%_os" == "aix"
%patch1 -p1
%endif
%if "%_os" == "hpux"
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch10 -p0
%patch11 -p1
%patch12 -p0

%build
ENABLESSL=y \
 ENABLELDAP=y \
 ENABLELDAPSSL=y \
 BBUSER=%HOBBITUSER \
 BBTOPDIR=%{_libexecdir}/hobbit \
 BBVAR=%{_localstatedir}/lib/hobbit \
 BBHOSTURL=/hobbit \
 CGIDIR=%{_libexecdir}/hobbit/cgi-bin \
 BBCGIURL=/hobbit-cgi \
 SECURECGIDIR=%{_libexecdir}/hobbit/cgi-secure \
 SECUREBBCGIURL=/hobbit-seccgi \
 HTTPDGID=apache \
 BBLOGDIR=%{_localstatedir}/log/hobbit \
 BBHOSTNAME=localhost \
 BBHOSTIP=127.0.0.1 \
 MANROOT=%{_mandir} \
 BARS=all \
 USENEWHIST=y \
 PIXELCOUNT=960 \
 INSTALLBINDIR=%{_libexecdir}/hobbit/server/bin \
 INSTALLETCDIR=%{_sysconfdir}/hobbit \
 INSTALLWEBDIR=%{_sysconfdir}/hobbit/web \
 INSTALLEXTDIR=%{_libexecdir}/hobbit/server/ext \
 INSTALLTMPDIR=%{_localstatedir}/lib/hobbit/tmp \
 INSTALLWWWDIR=%{_localstatedir}/lib/hobbit/www \
 USERFPING=%{_sbindir}/fping \
%if "%_os" == "aix"
 USERRRDINC=/opt/freeware/include \
 USERRRDLIB=/opt/freeware/lib \
 USEROSSLINC=/opt/freeware/include \
 USEROSSLLIB=/opt/freeware/lib \
 USERLDAPINC=/opt/freeware/include \
 USERLDAPLIB=/opt/freeware/lib \
 USERFPING=/opt/freeware/sbin/fping \
%endif
 USEHOBBITPING=n \
 ./configure
# Hobbit does not build with _smp_mflags = -j3
#%{__make} %{?_smp_mflags} PKGBUILD=1
%{__make} PKGBUILD=1

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall} INSTALLROOT=$RPM_BUILD_ROOT PKGBUILD=1
%{__cp} ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitlaunch.cfg %{_tmppath}/hobbitlaunch.cfg.$$
%{__sed} 's/^\[hobbitclient\]/\[hobbitclient\]\n\tDISABLED/' %{_tmppath}/hobbitlaunch.cfg.$$ > ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitlaunch.cfg
%{__rm} %{_tmppath}/hobbitlaunch.cfg.$$

%{__cp} ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf %{_tmppath}/hobbit-apache.conf.$$
%{__sed} '/^#.*DocumentRoot/a\
\
#Alias /hobbit/gifs/ "%{_datadir}/hobbit/www/gifs/"\
#Alias /hobbit/help/ "%{_datadir}/hobbit/www/help/"\
<Directory "%{_datadir}/hobbit/www">\
    Options Indexes FollowSymLinks Includes MultiViews\
    Order allow,deny\
    Allow from all\
</Directory>\
\
Alias /hobbit/menu/ "%{_sysconfdir}/hobbit/menu/"\
<Directory "%{_sysconfdir}/hobbit/menu">\
    Options Indexes FollowSymLinks Includes MultiViews\
    Order allow,deny\
    Allow from all\
</Directory>' %{_tmppath}/hobbit-apache.conf.$$ > ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf
%{__rm} %{_tmppath}/hobbit-apache.conf.$$

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/hobbit/www/
%{__mv} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/hobbit/www/{gifs,help} ${RPM_BUILD_ROOT}%{_datadir}/hobbit/www/
%{__ln_s} ../../../..%{_datadir}/hobbit/www/{gifs,help} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/hobbit/www/
%{__mv} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/hobbit/www/menu ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/

%if "%_vendor" == "redhat"
%{__install} -m 0755 -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit
%{__install} -m 0755    %{SOURCE3} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit-client
%{__install} -m 0644 -D %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/hobbit
%{__install} -m 0644    %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/hobbit-client
%{__install} -d ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__cp} -p ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/
%{__install} -m 0644 -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/hobbit
%{__install} -m 0755 -D /dev/null ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/hobbit.csh
%{__install} -m 0755 -D /dev/null ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/hobbit.sh
cat << EOF >> ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/hobbit.csh
alias bb '%{_libexecdir}/hobbit/server/bin/bb'
alias bbcmd '%{_libexecdir}/hobbit/server/bin/bbcmd'
EOF
cat << EOF >> ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/hobbit.sh
alias bb=%{_libexecdir}/hobbit/server/bin/bb
alias bbcmd=%{_libexecdir}/hobbit/server/bin/bbcmd
EOF
%endif
%if "%_vendor" == "suse"
%{__install} -m 0755 -D %{SOURCE6} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit
%{__install} -m 0755    %{SOURCE7} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit-client
%{__install} -m 644 -D %{SOURCE8} ${RPM_BUILD_ROOT}%{_localstatedir}/adm/fillup-templates/sysconfig.hobbit
%{__install} -m 644    %{SOURCE9} ${RPM_BUILD_ROOT}%{_localstatedir}/adm/fillup-templates/sysconfig.hobbit-client
%{__install} -d ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd
%{__cp} -p ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/
%{__install} -d ${RPM_BUILD_ROOT}%{_sbindir}
%{__ln_s} ../../etc/init.d/hobbit ${RPM_BUILD_ROOT}%{_sbindir}/rchobbit
%{__ln_s} ../../etc/init.d/hobbit-client ${RPM_BUILD_ROOT}%{_sbindir}/rchobbit-client
%{__install} -m 0644 -D %{SOURCE25} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/hobbit
%endif
%if "%_os" == "aix"
%{__install} -m 0755 -D %{SOURCE10} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit
%{__install} -m 0755    %{SOURCE11} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit-client
%{__install} -m 0644 -D %{SOURCE12} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/hobbit
%{__install} -m 0644    %{SOURCE13} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/hobbit-client
%{__install} -d ${RPM_BUILD_ROOT}/etc/opt/freeware/apache/conf.d
%{__cp} -p ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf ${RPM_BUILD_ROOT}/etc/opt/freeware/apache/conf.d/
%{__install} -m 0644 -D %{SOURCE22} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/hobbit
%endif
%if "%_os" == "hpux"
%{__install} -m 0755 -D %{SOURCE14} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit
%{__install} -m 0755    %{SOURCE15} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit-client
%{__install} -m 0644 -D %{SOURCE16} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.config.d/hobbit
%{__install} -m 0644    %{SOURCE17} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.config.d/hobbit-client
#%{__install} -d ${RPM_BUILD_ROOT}/usr/local/apache/conf.d
#%{__cp} -p ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf ${RPM_BUILD_ROOT}/usr/local/apache/conf.d/
%{__install} -m 0644 -D %{SOURCE23} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/hobbit
%endif
%if "%_os" == "solaris"
%{__install} -m 0755 -D %{SOURCE18} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit
%{__install} -m 0755    %{SOURCE19} ${RPM_BUILD_ROOT}%{_initrddir}/hobbit-client
%{__install} -m 0644 -D %{SOURCE20} ${RPM_BUILD_ROOT}%{_sysconfdir}/default/hobbit
%{__install} -m 0644    %{SOURCE21} ${RPM_BUILD_ROOT}%{_sysconfdir}/default/hobbit-client
#%{__install} -d ${RPM_BUILD_ROOT}%{_prefix}/apache2/etc/extra
#%{__cp} -p ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbit-apache.conf ${RPM_BUILD_ROOT}%{_prefix}/apache2/etc/extra/httpd-hobbit.conf.CSW
%{__install} -m 0644 -D %{SOURCE24} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/hobbit
%endif
#%{__install} -d ${RPM_BUILD_ROOT}%{_bindir}
#%{__ln_s} %{_libexecdir}/hobbit/server/bin/{bb,bbcmd} ${RPM_BUILD_ROOT}%{_bindir}/

%{__mv} ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/etc/* ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/
rmdir ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/etc
rmdir ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/tmp
rmdir ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/logs
%{__install} -d ${RPM_BUILD_ROOT}%{_localstatedir}/lib/hobbit-client
%{__ln_s} %{_sysconfdir}/hobbit ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/etc
%{__ln_s} %{_localstatedir}/lib/hobbit-client ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/tmp
%{__ln_s} %{_localstatedir}/log/hobbit ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/client/logs

%{__cp} ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitclient.cfg %{_tmppath}/hobbitclient.cfg.$$
%{__sed} -e's!^BBDISP=.*!include %{_localstatedir}/lib/hobbit-client/runtime.cfg!' %{_tmppath}/hobbitclient.cfg.$$ | %{__grep} -v "^BBDISPLAYS=" > ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitclient.cfg
%{__rm} %{_tmppath}/hobbitclient.cfg.$$
%{__install} -m 0644 -D /dev/null ${RPM_BUILD_ROOT}%{_localstatedir}/lib/hobbit-client/runtime.cfg

echo "directory %{_sysconfdir}/hobbit/clientlaunch.d" >> ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/clientlaunch.cfg
echo "directory %{_sysconfdir}/hobbit/hobbitlaunch.d" >> ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitlaunch.cfg
echo "directory %{_sysconfdir}/hobbit/hobbitgraph.d" >> ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitgraph.cfg
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/{hobbitlaunch,hobbitgraph,clientlaunch}.d

%{__install} -m 644 -D %{SOURCE26} ${RPM_BUILD_ROOT}%{_sysconfdir}/hobbit/hobbitgraph.d/devmon-graph.cfg


echo '#!/bin/bash
# This script will help us migrate from directories to symlinks.
# RPM has no method to correctly do this besides %posttrans which most
# old RPM versions do not support.
for X in gifs help; do
  if [ ! -L %{_localstatedir}/lib/hobbit/www/${X} ]; then
    rmdir %{_localstatedir}/lib/hobbit/www/${X} >/dev/null 2>&1 || \
    %{__mv} %{_localstatedir}/lib/hobbit/www/${X} %{_localstatedir}/lib/hobbit/www/${X}.rpmsave >/dev/null 2>&1
    if [ -L %{_localstatedir}/lib/hobbit/www/${X}.rpmnew ]; then
      %{__mv} %{_localstatedir}/lib/hobbit/www/${X}.rpmnew %{_localstatedir}/lib/hobbit/www/${X}
    else
      %{__ln_s} ../../../..%{_datadir}/hobbit/www/${X} %{_localstatedir}/lib/hobbit/www/${X}
    fi
  fi
done' > ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/fixrpm.sh
%{__chmod} 0755 ${RPM_BUILD_ROOT}%{_libexecdir}/hobbit/fixrpm.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%pre
%if "%_os" == "linux"
getent passwd %HOBBITUSER >/dev/null 2>&1
%endif
%if "%_os" == "aix"
lsuser %HOBBITUSER >/dev/null 2>&1
%endif
%if "%_os" == "hpux"
grep -q %HOBBITUSER /etc/passwd >/dev/null 2>&1
%endif
%if "%_os" == "solaris"
getent passwd %HOBBITUSER >/dev/null 2>&1
%endif
if [ $? -ne 0 ]
then
%if "%_vendor" == "redhat"
  fedora-groupadd 75 -r %HOBBITUSER &>/dev/null || :
  fedora-useradd  75 -r -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit -M %HOBBITUSER &>/dev/null || :
%endif
%if "%_vendor" == "suse"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
%if "%_os" == "aix"
  mkgroup id=104 %HOBBITUSER || true
  mkuser id=104 pgrp=%HOBBITUSER gecos="Hobbit Daemon" home=%{_libexecdir}/hobbit admin=false login=false rlogin=false %HOBBITUSER
  %{__rm} -rf %{_libexecdir}/hobbit
%endif
%if "%_os" == "hpux"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
%if "%_os" == "solaris"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
fi

%post
%if "%_vendor" == "redhat"
chkconfig --add hobbit
if [ -x /usr/bin/chcon ]; then
  chcon -R -t httpd_sys_script_exec_t %{_libexecdir}/hobbit/cgi-{bin,secure}/ 2>/dev/null
  chcon -R -t httpd_sys_script_ro_t %{_localstatedir}/lib/hobbit/{hist,histlogs,hostdata,rrd}/ 2>/dev/null
  install -m 0644 -o hobbit -g hobbit /dev/null %{_localstatedir}/log/hobbit/notifications.log 2>/dev/null
  chcon -t httpd_sys_script_ro_t %{_localstatedir}/log/hobbit/notifications.log 2>/dev/null
  chcon -R -h -t httpd_sys_content_t %{_localstatedir}/lib/hobbit/www/ 2>/dev/null
  chcon -R -t httpd_sys_content_t %{_datadir}/hobbit/www/ 2>/dev/null
  chcon -R -t httpd_sys_script_rw_t %{_localstatedir}/lib/hobbit/www/{rep,snap}/ 2>/dev/null
  chcon -t httpd_sys_script_rw_t %{_sysconfdir}/hobbit/hobbit-nkview.cfg* 2>/dev/null
  true
fi
%endif
%if "%_vendor" == "suse"
%fillup_and_insserv hobbit
%endif
%if "%_os" == "aix"
%{_sbindir}/chkconfig --add hobbit
%endif
%if "%_os" == "solaris"
%{_sbindir}/chkconfig --add hobbit
%endif

%preun
%if "%_vendor" == "redhat"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  service hobbit stop > /dev/null 2>&1 || :
  chkconfig --del hobbit
fi
%endif
%if "%_vendor" == "suse"
%if "%suse_version" >= "900"
%stop_on_removal hobbit
%else
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  /etc/init.d/hobbit stop > /dev/null 2>&1 || :
fi
%endif
%endif
%if "%_os" == "aix"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del hobbit
fi
%endif
%if "%_os" == "hpux"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit stop > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "solaris"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del hobbit
fi
%endif

%postun
%if "%_vendor" == "redhat"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  service hobbit condrestart > /dev/null 2>&1 || :
else
  :
  #fedora-userdel %HOBBITUSER &>/dev/null || :
  #fedora-groupdel %HOBBITUSER &>/dev/null || :
fi
%endif
%if "%_vendor" == "suse"
%if "%suse_version" >= "900"
%restart_on_update hobbit
%else
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  /etc/init.d/hobbit try-restart > /dev/null 2>&1 || :
fi
%endif
%insserv_cleanup
%endif
%if "%_os" == "aix"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit condrestart > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "hpux"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit condrestart > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "solaris"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit condrestart > /dev/null 2>&1 || :
fi
%endif

#%posttrans
##set -x
##ls -lA %{_libexecdir}/hobbit/client/ %{_sysconfdir}/hobbit
#for X in gifs help; do
#  if [ -d %{_localstatedir}/lib/hobbit/www/${X} ]; then
#    P=`ls %{_localstatedir}/lib/hobbit/www/${X}`
#    if [ -z "$P" ]; then
#      rmdir %{_localstatedir}/lib/hobbit/www/${X}
#    else
#      %{__mv} %{_localstatedir}/lib/hobbit/www/${X} %{_localstatedir}/lib/hobbit/www/${X}.rpmsave
#    fi
#    if [ -L %{_localstatedir}/lib/hobbit/www/${X}.rpmnew ]; then
#      %{__mv} %{_localstatedir}/lib/hobbit/www/${X}.rpmnew %{_localstatedir}/lib/hobbit/www/${X}
#    else
#      %{__ln_s} ../../../..%{_datadir}/hobbit/www/${X} %{_localstatedir}/lib/hobbit/www/${X}
#    fi
#  fi
#done


%pre client
%if "%_os" == "linux"
getent passwd %HOBBITUSER >/dev/null 2>&1
%endif
%if "%_os" == "aix"
lsuser %HOBBITUSER >/dev/null 2>&1
%endif
%if "%_os" == "hpux"
grep -q %HOBBITUSER /etc/passwd >/dev/null 2>&1
%endif
%if "%_os" == "solaris"
getent passwd %HOBBITUSER >/dev/null 2>&1
%endif
if [ $? -ne 0 ]
then
%if "%_vendor" == "redhat"
  fedora-groupadd 75 -r %HOBBITUSER &>/dev/null || :
  fedora-useradd  75 -r -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit -M %HOBBITUSER &>/dev/null || :
%endif
%if "%_vendor" == "suse"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
%if "%_os" == "aix"
  mkgroup id=104 %HOBBITUSER || true
  mkuser id=104 pgrp=%HOBBITUSER gecos="Hobbit Daemon" home=%{_libexecdir}/hobbit admin=false login=false rlogin=false %HOBBITUSER
  %{__rm} -rf %{_libexecdir}/hobbit
%endif
%if "%_os" == "hpux"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
%if "%_os" == "solaris"
  groupadd -g 104 %HOBBITUSER || true
  useradd -u 104 -g %HOBBITUSER -c "Hobbit Daemon" -d %{_libexecdir}/hobbit %HOBBITUSER
%endif
fi

%post client
%if "%_vendor" == "redhat"
chkconfig --add hobbit-client
%endif
%if "%_vendor" == "suse"
%fillup_and_insserv -n -y hobbit-client
%endif
%if "%_os" == "aix"
%{_sbindir}/chkconfig --add hobbit-client
%endif
%if "%_os" == "solaris"
%{_sbindir}/chkconfig --add hobbit-client
%endif

%preun client
%if "%_vendor" == "redhat"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  service hobbit-client stop > /dev/null 2>&1 || :
  chkconfig --del hobbit-client
fi
%endif
%if "%_vendor" == "suse"
%if "%suse_version" >= "900"
%stop_on_removal hobbit-client
%else
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  /etc/init.d/hobbit-client stop > /dev/null 2>&1 || :
fi
%endif
%endif
%if "%_os" == "aix"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit-client stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del hobbit-client
fi
%endif
%if "%_os" == "hpux"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit-client stop > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "solaris"
# Only if we are not upgrading...
if [ "$1" = 0 ]; then
  %{_initrddir}/hobbit-client stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del hobbit-client
fi
%endif

%postun client
%if "%_vendor" == "redhat"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  service hobbit-client condrestart > /dev/null 2>&1 || :
else
  :
  #fedora-userdel %HOBBITUSER &>/dev/null || :
  #fedora-groupdel %HOBBITUSER &>/dev/null || :
fi
%endif
%if "%_vendor" == "suse"
%if "%suse_version" >= "900"
%restart_on_update hobbit-client
%else
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  /etc/init.d/hobbit-client try-restart > /dev/null 2>&1
fi
%endif
%insserv_cleanup
%endif
%if "%_os" == "aix"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit-client condrestart > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "hpux"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit-client condrestart > /dev/null 2>&1 || :
fi
%endif
%if "%_os" == "solaris"
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  %{_initrddir}/hobbit-client condrestart > /dev/null 2>&1 || :
fi
%endif

#%posttrans client
#set -x
#ls -lA %{_libexecdir}/hobbit/client/ %{_sysconfdir}/hobbit
#if [ -d %{_libexecdir}/hobbit/client/etc ]; then
#  rmdir %{_libexecdir}/hobbit/client/etc >/dev/null 2>&1 || %{__mv} %{_libexecdir}/hobbit/client/etc %{_libexecdir}/hobbit/client/etc.rpmsave
#  if [ -L %{_libexecdir}/hobbit/client/etc.rpmnew ]; then
#    %{__mv} %{_libexecdir}/hobbit/client/etc.rpmnew %{_libexecdir}/hobbit/client/etc
#  else
#    %{__ln_s} %{_sysconfdir}/hobbit %{_libexecdir}/hobbit/client/etc
#  fi
#fi

%files
%defattr(-,root,root)
%doc README Changes* COPYING CREDITS RELEASENOTES hobbitd/new-daemon.txt
%dir %{_sysconfdir}/hobbit/
%config(noreplace) %{_sysconfdir}/hobbit/bb-hosts
%config(noreplace) %{_sysconfdir}/hobbit/bb-services
%config(noreplace) %{_sysconfdir}/hobbit/bbcombotest.cfg
%config(noreplace) %{_sysconfdir}/hobbit/client-local.cfg
%config(noreplace) %{_sysconfdir}/hobbit/columndoc.csv
%config(noreplace) %{_sysconfdir}/hobbit/hobbit-alerts.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbit-apache.conf
%config(noreplace) %{_sysconfdir}/hobbit/hobbit-clients.cfg
%attr(664, %HOBBITUSER, apache) %config(noreplace) %{_sysconfdir}/hobbit/hobbit-nkview.cfg
%attr(664, %HOBBITUSER, apache) %config(noreplace) %{_sysconfdir}/hobbit/hobbit-nkview.cfg.bak
%config(noreplace) %{_sysconfdir}/hobbit/hobbitcgi.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbitgraph.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbitlaunch.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbitserver.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbitgraph.d/
%config(noreplace) %{_sysconfdir}/hobbit/hobbitlaunch.d/
%config(noreplace) %{_sysconfdir}/hobbit/menu/
%config(noreplace) %{_sysconfdir}/hobbit/web/
%if "%_vendor" == "redhat"
%config(noreplace) %{_sysconfdir}/httpd/conf.d/hobbit-apache.conf
%config(noreplace) %{_sysconfdir}/sysconfig/hobbit
%config %{_sysconfdir}/profile.d/hobbit.sh
%config %{_sysconfdir}/profile.d/hobbit.csh
%endif
%if "%_vendor" == "suse"
%config(noreplace) %{_sysconfdir}/httpd/hobbit-apache.conf
%{_sbindir}/rchobbit
%config %{_localstatedir}/adm/fillup-templates/sysconfig.hobbit
%endif
%if "%_os" == "aix"
%config(noreplace) /etc/opt/freeware/apache/conf.d/hobbit-apache.conf
%config(noreplace) %{_sysconfdir}/sysconfig/hobbit
%endif
%if "%_os" == "hpux"
%config(noreplace) /usr/local/apache/conf.d/hobbit-apache.conf
%config(noreplace) %{_sysconfdir}/rc.config.d/hobbit
%endif
%if "%_os" == "solaris"
#%config(noreplace) %{_prefix}/apache2/etc/extra/httpd-hobbit.conf.CSW
%config(noreplace) %{_sysconfdir}/default/hobbit
%endif
%{_initrddir}/hobbit
%{_sysconfdir}/logrotate.d/hobbit
#%{_bindir}/*
%dir %{_libexecdir}/hobbit
%{_libexecdir}/hobbit/fixrpm.sh
%{_libexecdir}/hobbit/cgi-bin
%{_libexecdir}/hobbit/cgi-secure
%if "%_os" == "aix" || "%_os" == "solaris" || "%_vendor" == "suse"
%dir %{_libexecdir}/hobbit/server
%dir %{_libexecdir}/hobbit/server/bin
%{_libexecdir}/hobbit/server/bin/b*
%{_libexecdir}/hobbit/server/bin/hobbit-*
%{_libexecdir}/hobbit/server/bin/hobbit.sh
%{_libexecdir}/hobbit/server/bin/hobbitd*
%{_libexecdir}/hobbit/server/bin/hobbitgraph.cgi
%{_libexecdir}/hobbit/server/bin/hobbitlaunch
%attr(4750, root, %HOBBITUSER) %{_libexecdir}/hobbit/server/bin/hobbitping
%{_libexecdir}/hobbit/server/bin/hobbitreports.sh
%{_libexecdir}/hobbit/server/bin/hobbitsvc.cgi
%{_libexecdir}/hobbit/server/bin/m*
%{_libexecdir}/hobbit/server/bin/t*
%{_libexecdir}/hobbit/server/download
%{_libexecdir}/hobbit/server/etc
%{_libexecdir}/hobbit/server/ext
%{_libexecdir}/hobbit/server/hobbit.sh
%{_libexecdir}/hobbit/server/tmp
%{_libexecdir}/hobbit/server/web
%{_libexecdir}/hobbit/server/www
%else
%{_libexecdir}/hobbit/server
%attr(4750, root, %HOBBITUSER) %{_libexecdir}/hobbit/server/bin/hobbitping
%endif
%{_datadir}/hobbit
%doc %{_mandir}/*/*
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/acks
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/data
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/disabled
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/hist
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/histlogs
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/hostdata
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/logs
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/rrd
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/tmp
%attr(-, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit/www
%ghost %{_localstatedir}/lib/hobbit/www/gifs
%ghost %{_localstatedir}/lib/hobbit/www/help
%attr(-, %HOBBITUSER, %HOBBITUSER) %{_localstatedir}/lib/hobbit/www/html
%attr(-, %HOBBITUSER, %HOBBITUSER) %{_localstatedir}/lib/hobbit/www/notes
%attr(775, %HOBBITUSER, apache) %dir %{_localstatedir}/lib/hobbit/www/rep
%attr(775, %HOBBITUSER, apache) %dir %{_localstatedir}/lib/hobbit/www/snap
%attr(-, %HOBBITUSER, %HOBBITUSER) %{_localstatedir}/lib/hobbit/www/wml
%attr(755, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/log/hobbit

%files client
%defattr(-,root,root)
%doc README* Changes* COPYING CREDITS RELEASENOTES
%dir %{_sysconfdir}/hobbit/
%config(noreplace) %{_sysconfdir}/hobbit/clientlaunch.cfg
%config(noreplace) %{_sysconfdir}/hobbit/hobbitclient.cfg
%config(noreplace) %{_sysconfdir}/hobbit/localclient.cfg
%dir %{_sysconfdir}/hobbit/clientlaunch.d/
%{_initrddir}/hobbit-client
%if "%_vendor" == "redhat"
%config(noreplace) %{_sysconfdir}/sysconfig/hobbit-client
%endif
%if "%_vendor" == "suse"
%{_sbindir}/rchobbit-client
%config %{_localstatedir}/adm/fillup-templates/sysconfig.hobbit-client
%endif
%if "%_os" == "aix"
%config(noreplace) %{_sysconfdir}/sysconfig/hobbit-client
%endif
%if "%_os" == "hpux"
%config(noreplace) %{_sysconfdir}/rc.config.d/hobbit-client
%endif
%if "%_os" == "solaris"
%config(noreplace) %{_sysconfdir}/default/hobbit-client
%endif
%if "%_os" == "aix" || "%_os" == "solaris" || "%_vendor" == "suse"
%dir %{_libexecdir}/hobbit/client
%dir %{_libexecdir}/hobbit/client/bin
%{_libexecdir}/hobbit/client/bin/b*
#%attr(0750, root, %HOBBITUSER) %{_libexecdir}/hobbit/client/bin/clientupdate
%{_libexecdir}/hobbit/client/bin/clientupdate
%{_libexecdir}/hobbit/client/bin/h*
#%attr(0750, root, %HOBBITUSER) %{_libexecdir}/hobbit/client/bin/logfetch
%{_libexecdir}/hobbit/client/bin/logfetch
%ghost %{_libexecdir}/hobbit/client/etc
%{_libexecdir}/hobbit/client/ext
%{_libexecdir}/hobbit/client/logs
%{_libexecdir}/hobbit/client/runclient.sh
%{_libexecdir}/hobbit/client/tmp
%else
%{_libexecdir}/hobbit/client
#%attr(0750, root, %HOBBITUSER) %{_libexecdir}/hobbit/client/bin/logfetch
#%attr(0750, root, %HOBBITUSER) %{_libexecdir}/hobbit/client/bin/clientupdate
%ghost %{_libexecdir}/hobbit/client/etc
%endif
%attr(755, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/lib/hobbit-client
%attr(755, %HOBBITUSER, %HOBBITUSER) %dir %{_localstatedir}/log/hobbit
%ghost %{_localstatedir}/lib/hobbit-client/runtime.cfg

%changelog
* Tue May 13 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-9
- Added %posttrans checks to migrate data during upgrades which only work
  for RPM 4.4+ so instead added checks to init scripts.

* Wed May 06 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-8
- Added bbwin_4.2.patch, hobbit-4.2.0-devmon-complete.patch, and
  empty-dirinclude.patch.
- Added "directory" statements to hobbitlaunch.cfg, hobbitgraph.cfg, and
  clientlaunch.cfg.
- Hobbit does not build with "_smp_mflags = -j3".
- Moved static web content to %{_datadir}/hobbit/.
- Moved client configs to %{_sysconfdir}/hobbit/.
- Added SElinux fixes.
- Require fedora-usermgmt on Red Hat distros.
- Fixed Red Hat init script status command.
- Installed devmon-graph.cfg in %{_sysconfdir}/hobbit/hobbitgraph.d/.

* Tue Apr 10 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-7
- Fixed init script error codes to be LSB compliant.
- Updated to 2007-02-09 10:30 UTC allinone.patch.
- Added /etc/profile.d/hobbit.*sh on redhat.

* Tue Nov 14 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-6
- Updated to 2006-10-03 12:34 UTC allinone.patch.

* Wed Sep 13 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-5
- Added missing %{_localstatedir}/lib/hobbit/hostdata to %files.

* Mon Sep 04 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-4
- Added patch so that fping will really be used instead of hobbitping.
- Really release version 4.2.0-4.

* Sun Sep 03 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-4
- Moved %{_localstatedir}/run/hobbitclient-runtime.cfg to
  %{_localstatedir}/lib/hobbit-client/runtime.cfg.
- Removed %{_bindir}/bb and %{_bindir}/bbcmd symlinks to make certain
  package-nazis happy.
- Added vendor bug patches.
- Added CLIENTCLASS to hobit-client.init and hobbit-client.sysconfig files.

* Sun Aug 13 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-3
- Added Solaris, HP-UX, and SuSE logrotate scripts.

* Fri Aug 11 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-2
- Incremented epoch so upgrades from beta/RC will work.
- Fixed AIX logrotate script.

* Thu Aug 10 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2.0-1
- Release version 4.2.0.

* Sun Aug 06 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-RC-20060712-3
- Updated to latest RC patches.
- Re-added Requires: fping and BuildRequires: fping.

* Tue Aug 01 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-RC-20060712-2
- Updated to latest RC patches.
- Removed hobbitping in favour of fping.
- Removed SUID bits.

* Tue Jul 17 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-RC-20060712-1
- Release version 4.2-RC-20060712.

* Tue Jul 04 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-beta-20060605-4
- Added Solaris build support.
- Added %config to %{_libexecdir}/hobbit/client/etc.

* Wed Jun 21 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-beta-20060605-3
- Merged in HP-UX and AIX build support from 4.1.2p1-3.

* Sat Jun 10 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-beta-20060605-2
- Added beta patches.

* Mon Jun 05 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.2-beta-20060605-1
- Release version 4.2-beta-20060605.

* Tue May 30 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2p1-3
- Added support for SuSE 8.2.
- Added preliminary HP-UX build support.

* Mon Jan 02 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2p1-3
- Added AIX build support.

* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2p1-2
- Rebuilt in new build system.

* Mon Nov 14 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2p1-1
- Release version 4.1.2p1.

* Mon Nov 14 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2p1-1
- Release version 4.1.2p1.

* Tue Oct 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2-1
- Release version 4.1.2.

* Wed Oct 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.2-0rc1
- Release Candidate 1.

* Thu Sep 29 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> snapshot
- Disabled hobbitclient in hobbitlaunch.cfg.
- Added /var/run/hobbitclient-runtime.cfg to %files.
- Moved /usr/lib (_libdir) to /usr/libexec (_libexecdir). Updated init scripts.

* Wed Sep 28 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> snapshot
- Added the ability to rpmbuild nightly snapshots.
- Fixed up BuildRoot and Group.
- Abstracted directories into variables.
- Removed patch to not chown files - fixed upstream.

* Tue Sep 20 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.1-5
- Applied logrotate patch from Peter Welter.
- Added /etc/sysconfig/hobbit file (moved from /etc/default/hobbit).
- Added hobbit-client init script from 4.1.2 snapshot.
- Rewote hobbit server init script to conform to RedHat standards.
- Rewote hobbit client init script to conform to RedHat standards.

* Mon Aug 29 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.1-4
- Split package into client and server.

* Fri Aug 26 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.1-3
- Condensed the attributes in the file list.
- Symlinked /usr/lib/hobbit/client/tmp and /usr/lib/hobbit/client/log to
  /var/lib/hobbit.

* Tue Jul 26 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 4.1.1-2
- Added patch to not chown files since we are not building as root.
- Uncommented BuildRequires.

